petsc-3.4.2 2013-07-02

# MatCUSPStorageFormat

indicates the storage format for CUSP (GPU) matrices. Requires the txpetscgpu package to use. Configure with --download-txpetscgpu to build/install petsc with the txpetscgpu library.

### Synopsis

    typedef enum {MAT_CUSP_CSR, MAT_CUSP_DIA, MAT_CUSP_ELL} MatCUSPStorageFormat;

Not Collective

| MAT_CUSP_CSR | - Compressed Sparse Row
| MAT_CUSP_DIA | - Diagonal
| MAT_CUSP_ELL | - Ellpack

Any additions/changes here MUST also be made in include/finclude/petscmat.h

### See Also

MatCUSPSetFormat(), MatCUSPFormatOperation

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages